## ros-ros 1.15.7

=== core/roslib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(roslib)
find_package(catkin REQUIRED COMPONENTS rospack)
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES roslib
  CATKIN_DEPENDS rospack
  CFG_EXTRAS roslib-extras.cmake)

find_package(Boost REQUIRED COMPONENTS thread)

include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

# Avoid a boost warning that pops up when using msvc compiler
if(MSVC)
  add_definitions(-D_SCL_SECURE_NO_WARNINGS)
endif()

add_library(roslib src/package.cpp)
target_link_libraries(roslib ${Boost_LIBRARIES} ${catkin_LIBRARIES})

if(NOT (APPLE OR WIN32 OR MINGW OR ANDROID))
  target_link_libraries(roslib rt)
endif()

catkin_python_setup()

install(TARGETS roslib
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)
catkin_install_python(PROGRAMS scripts/gendeps
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(Boost REQUIRED COMPONENTS filesystem thread)
  catkin_add_nosetests(test)

  catkin_add_gtest(${PROJECT_NAME}-utest test/utest.cpp WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
  if(TARGET ${PROJECT_NAME}-utest)
    target_link_libraries(${PROJECT_NAME}-utest roslib ${Boost_LIBRARIES} ${catkin_LIBRARIES})
  endif()

  catkin_add_gtest(${PROJECT_NAME}-test_package test/package.cpp)
  if(TARGET ${PROJECT_NAME}-test_package)
    target_link_libraries(${PROJECT_NAME}-test_package roslib ${catkin_LIBRARIES})
  endif()
endif()

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/export.cmake "")
export(TARGETS roslib FILE ${CMAKE_CURRENT_BINARY_DIR}/export.cmake APPEND)
#include(${CMAKE_CURRENT_BINARY_DIR}/export.cmake)

=== tools/rosbash/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosbash)
find_package(catkin)
catkin_package()

install(FILES rosbash rosfish rostcsh roszsh
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
if (WIN32)
  install(PROGRAMS scripts/rosrun.bat scripts/roscp.bat
    DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

  install(PROGRAMS scripts/rosfindpath.py scripts/roscd.bat scripts/rosls.bat
    DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
else()
  install(PROGRAMS scripts/rosrun
    DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
endif()

# making toplevel forward script for bash script rosrun
if(NOT WIN32)
  set(BASH_SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/scripts/rosrun)
  configure_file(${catkin_EXTRAS_DIR}/templates/script.bash.in
    ${CATKIN_DEVEL_PREFIX}/bin/rosrun
    @ONLY)
else()
  set(BAT_SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/scripts/rosrun.bat)
  configure_file(${catkin_EXTRAS_DIR}/templates/script.bat.in
    ${CATKIN_DEVEL_PREFIX}/bin/rosrun.bat
    @ONLY)
endif()

catkin_add_env_hooks(15.rosbash SHELLS bash fish tcsh zsh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

=== core/roslib/test/stack_tests/s1/bar/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)
set(ROSPACK_MAKEDIST true)
rosbuild_make_distribution(1.5.0-cmake)

=== debian/changelog ===
ros-ros (1.15.7-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 12:05:40 +0100

ros-ros (1.15.7-1) unstable; urgency=medium

  * New upstream version 1.15.7

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 11 Oct 2020 13:21:10 +0200

=== debian/control ===
Source: ros-ros
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       catkin,
	       librospack-dev,
	       libboost-program-options-dev,
	       libboost-filesystem-dev,
	       libboost-thread-dev,
	       libgtest-dev,
	       libtinyxml2-dev,
	       python3-all, python3-setuptools,
	       dh-sequence-python3,
	       libpython3-dev,
	       dh-exec,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ROS

Package: ros-mk
Section: devel
Architecture: all
Depends: ${misc:Depends}, rospack-tools
Multi-Arch: foreign
Description: Robot OS make file helpers
 This package is part of Robot OS (ROS). It is a collection of make
 include files for building ROS architectural elements.  Most package
 authors should use cmake.mk, which calls CMake for the build of the
 package. The other files in this package are intended for use in
 exotic situations that mostly arise when importing 3rdparty code.

Package: rosbuild
Section: devel
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3:any
Multi-Arch: foreign
Description: scripts for managing the Robot OS build system
 This package is part of Robot OS (ROS). Rosbuild solves the core
 problem of gathering appropriate build flags from, and tracking
 dependencies in, the ROS package tree. The macros provided by
 rosbuild automatically inherit the union of build flags exported by
 packages on which your package depends.

Package: roslang
Section: devel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Common metapackage for all Robot OS client libraries
 This package is part of Robot OS (ROS). It is mainly used to find
 client libraries (via 'rospack depends-on1 roslang'). The roslang
 package is only of interest to those implementing a ROS client
 library. Client libraries mark themselves as such by depending on
 the roslang package, which allows rosbuild and other tools to perform
 appropriate actions, such as msg- and srv-based code generation. The
 roslang package itself contains no actual code.

Package: libroslib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libroslib0d (= ${binary:Version}), ${misc:Depends}, librospack-dev, libboost-thread-dev, ros-environment
Description: development files for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides the base
 dependencies and support libraries for ROS. roslib contains many of
 the common data structures and tools that are shared across ROS
 client library implementations.
 .
 This package contains the development files for the library.

Package: libroslib0d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides the base
 dependencies and support libraries for ROS. roslib contains many of
 the common data structures and tools that are shared across ROS
 client library implementations.
 .
 This package contains the C library.

Package: python3-roslib
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg, python3-catkin
Breaks: python-roslib (<< 1.14.7-3)
Replaces: python-roslib (<< 1.14.7-3)
Description: Python 3 library for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides base dependencies
 and support libraries for ROS. roslib contains many of the common
 data structures and tools that are shared across ROS client library
 implementations.
 .
 This package contains the Python 3 library.

Package: rosbash
Section: utils
Architecture: all
Depends: ${misc:Depends}, rospack-tools, catkin
Recommends: bash-completion
Multi-Arch: foreign
Description: Assorted shell commands for using Robot OS with bash
 This package is part of Robot OS (ROS). The rosbash package contains
 some useful bash functions and adds tab-completion to a large number
 of the basic ros utilities. The package includes limited support for
 zsh and tcsh by way of sourcing the roszsh or rostcsh files
 respectively. It doesn't provide documentation on these shells,
 though much of the functionality is similar to the bash shell
 extensions.

Package: python3-rosboost-cfg
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}
Breaks: python-rosboost-cfg (<< 1.14.7-3)
Replaces: python-rosboost-cfg (<< 1.14.7-3)
Description: Contains scripts used by the Robot OS rosboost-cfg tool (Python 3)
 This package is part of Robot OS (ROS). It is used for determining
 build flags (cflags/lflags/etc.) for boost on your system when you
 use it in a ROS environment.
 .
 This package contains the Python 3 library.

Package: python3-rosclean
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg, python3-distutils
Breaks: python-rosclean (<< 1.14.7-3)
Replaces: python-rosclean (<< 1.14.7-3)
Description: cleanup Robot OS filesystem resources (e.g. logs) (Python 3)
 This package is part of Robot OS (ROS). rosclean purge will remove
 directories associated with storing ROS-related log files. You will
 be asked to confirm each deletion and it is important that you verify
 the command that rosclean purge executes is correct.
 .
 This package contains the Python 3 library.

Package: python3-roscreate
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg, python3-setuptools, python3-roslib
Breaks: python-roscreate (<< 1.14.7-3)
Replaces: python-roscreate (<< 1.14.7-3)
Description: Robot OS empty package template creator (Python 3)
 This package is part of Robot OS (ROS). It provides roscreate-pkg
 which creates empty ROS package templates and thus addresses the
 common problem of packages being created using pre-existing packages,
 which leads to errors in build files and manifests. The tool creates a
 new package directory, including the appropriate build and manifest
 files.
 .
 This package contains the Python 3 library.

Package: python3-rosmake
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg
Breaks: python-rosmake (<< 1.14.7-3)
Replaces: python-rosmake (<< 1.14.7-3)
Description: rosmake is a Robot OS dependency aware build tool (Python 3)
 This package is part of Robot OS (ROS). rosmake is a tool to assist
 with building ROS packages. It facilitates building packages that
 have dependencies, allowing all dependencies to be built in the
 correct order.
 .
 This package contains the Python 3 library.

Package: python3-rosunit
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rospkg
Breaks: python-rosunit (<< 1.14.7-3)
Replaces: python-rosunit (<< 1.14.7-3)
Description: Unit-testing package for ROS (Python 3)
 This package is part of Robot OS (ROS). python3-rosunit is a
 lower-level library for rostest and handles unit tests, whereas
 rostest handles integration tests. It's an internal tool for running
 unit tests within ROS. While it can be run by a regular user, most
 users will generally use rosunit indirectly via rosbuild test macros.
 .
 This package contains the Python 3 library.

## ros-ros 1.15.8

=== ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ros)
find_package(catkin REQUIRED)
catkin_metapackage()

=== core/roslang/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(roslang)
find_package(catkin REQUIRED)
catkin_package()

install(FILES cmake/roslang.cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake)

=== tools/roscreate/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(roscreate)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

install(DIRECTORY templates/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/templates
  PATTERN ".svn" EXCLUDE)

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== debian/changelog ===
ros-ros (1.15.8-6) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders
  * Avoid aliasing conflict with bmake (Closes: #1082308)

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 23:04:44 +0200

ros-ros (1.15.8-5) unstable; urgency=medium

  * Add patch to drop distutils

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 19 Jun 2023 22:28:24 +0200

ros-ros (1.15.8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ Jochen Sprickerhof ]
  * Drop old Breaks/Replaces
  * Drop old maintscript (version in oldstable)
  * Drop unused python3-distutils dependency
  * Update build dependency to allow cross build
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 20:21:13 +0200

ros-ros (1.15.8-3) unstable; urgency=medium

  * Team upload.
  * Fix gendeps path in extras.cmake

 -- Timo Röhling <roehling@debian.org>  Fri, 24 Sep 2021 11:00:18 +0200

ros-ros (1.15.8-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:43:59 +0200

ros-ros (1.15.8-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.15.8
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)
  * Fix Python interpreter hashbang in make_pydev_project.py
  * Migrate bash completion conffile to /usr/share

 -- Timo Röhling <roehling@debian.org>  Sat, 04 Sep 2021 14:27:39 +0200

=== debian/control ===
Source: ros-ros
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Section: libs
Priority: optional
Build-Depends:
 catkin (>= 0.8.10-1~),
 debhelper-compat (= 13),
 dh-exec,
 dh-ros,
 dh-sequence-python3,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-thread-dev,
 libgtest-dev,
 libpython3-all-dev,
 librospack-dev,
 libtinyxml2-dev,
 python3-setuptools,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ROS

Package: ros-mk
Section: devel
Architecture: all
Depends:
 rospack-tools,
 ${misc:Depends},
Multi-Arch: foreign
Description: Robot OS make file helpers
 This package is part of Robot OS (ROS). It is a collection of make
 include files for building ROS architectural elements.  Most package
 authors should use cmake.mk, which calls CMake for the build of the
 package. The other files in this package are intended for use in
 exotic situations that mostly arise when importing 3rdparty code.

Package: libroslib-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-thread-dev,
 libroslib0d (= ${binary:Version}),
 librospack-dev,
 ros-environment,
 ${misc:Depends},
Description: development files for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides the base
 dependencies and support libraries for ROS. roslib contains many of
 the common data structures and tools that are shared across ROS
 client library implementations.
 .
 This package contains the development files for the library.

Package: libroslib0d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides the base
 dependencies and support libraries for ROS. roslib contains many of
 the common data structures and tools that are shared across ROS
 client library implementations.
 .
 This package contains the C library.

Package: python3-rosboost-cfg
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Contains scripts used by the Robot OS rosboost-cfg tool (Python 3)
 This package is part of Robot OS (ROS). It is used for determining
 build flags (cflags/lflags/etc.) for boost on your system when you
 use it in a ROS environment.
 .
 This package contains the Python 3 library.

Package: python3-rosclean
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 python3-rospkg,
 ${misc:Depends},
 ${python3:Depends},
Description: cleanup Robot OS filesystem resources (e.g. logs) (Python 3)
 This package is part of Robot OS (ROS). rosclean purge will remove
 directories associated with storing ROS-related log files. You will
 be asked to confirm each deletion and it is important that you verify
 the command that rosclean purge executes is correct.
 .
 This package contains the Python 3 library.

Package: python3-roscreate
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 python3-roslib,
 python3-rospkg,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS empty package template creator (Python 3)
 This package is part of Robot OS (ROS). It provides roscreate-pkg
 which creates empty ROS package templates and thus addresses the
 common problem of packages being created using pre-existing packages,
 which leads to errors in build files and manifests. The tool creates a
 new package directory, including the appropriate build and manifest
 files.
 .
 This package contains the Python 3 library.

Package: python3-roslib
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 python3-catkin,
 python3-rospkg,
 ${misc:Depends},
 ${python3:Depends},
Description: Python 3 library for roslib (Robot OS)
 This package is part of Robot OS (ROS). It provides base dependencies
 and support libraries for ROS. roslib contains many of the common
 data structures and tools that are shared across ROS client library
 implementations.
 .
 This package contains the Python 3 library.

Package: python3-rosmake
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 python3-rospkg,
 ${misc:Depends},
 ${python3:Depends},
Description: rosmake is a Robot OS dependency aware build tool (Python 3)
 This package is part of Robot OS (ROS). rosmake is a tool to assist
 with building ROS packages. It facilitates building packages that
 have dependencies, allowing all dependencies to be built in the
 correct order.
 .
 This package contains the Python 3 library.

Package: python3-rosunit
Section: python
Architecture: all
Multi-Arch: allowed
Depends:
 python3-rospkg,
 ${misc:Depends},
 ${python3:Depends},
Description: Unit-testing package for ROS (Python 3)
 This package is part of Robot OS (ROS). python3-rosunit is a
 lower-level library for rostest and handles unit tests, whereas
 rostest handles integration tests. It's an internal tool for running
 unit tests within ROS. While it can be run by a regular user, most
 users will generally use rosunit indirectly via rosbuild test macros.
 .
 This package contains the Python 3 library.

Package: rosbash
Section: utils
Architecture: all
Depends:
 catkin,
 rospack-tools,
 ${misc:Depends},
Recommends:
 bash-completion,
Multi-Arch: foreign
Description: Assorted shell commands for using Robot OS with bash
 This package is part of Robot OS (ROS). The rosbash package contains
 some useful bash functions and adds tab-completion to a large number
 of the basic ros utilities. The package includes limited support for
 zsh and tcsh by way of sourcing the roszsh or rostcsh files
 respectively. It doesn't provide documentation on these shells,
 though much of the functionality is similar to the bash shell
 extensions.

Package: rosbuild
Section: devel
Architecture: all
Depends:
 python3:any,
 ${misc:Depends},
 ${python3:Depends},
Multi-Arch: foreign
Description: scripts for managing the Robot OS build system
 This package is part of Robot OS (ROS). Rosbuild solves the core
 problem of gathering appropriate build flags from, and tracking
 dependencies in, the ROS package tree. The macros provided by
 rosbuild automatically inherit the union of build flags exported by
 packages on which your package depends.

Package: roslang
Section: devel
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: Common metapackage for all Robot OS client libraries
 This package is part of Robot OS (ROS). It is mainly used to find
 client libraries (via 'rospack depends-on1 roslang'). The roslang
 package is only of interest to those implementing a ROS client
 library. Client libraries mark themselves as such by depending on
 the roslang package, which allows rosbuild and other tools to perform
 appropriate actions, such as msg- and srv-based code generation. The
 roslang package itself contains no actual code.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_SKIP_PACKAGES = ros

%:
	dh $@ --buildsystem=ros

execute_before_dh_install:
	# Avoid aliasing conflict with bmake, see #1082308
	mkdir -p debian/tmp/usr/share/cmake/mk
	mv debian/tmp/usr/share/mk/cmake/* debian/tmp/usr/share/cmake/mk
	rmdir debian/tmp/usr/share/mk/cmake
	mv debian/tmp/usr/share/mk debian/tmp/usr/share/ros-mk

## ros-ros 1.15.10

=== core/mk/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mk)
find_package(catkin REQUIRED)
catkin_package()

# do not wildcard install files since the root folder of the package will contain a debian folder for releasing
install(FILES
  buildtest.mk
  bzr_checkout.mk
  cmake.mk
  cmake_stack.mk
  download_unpack_build.mk
  eclipse.awk
  git_checkout.mk
  hg_checkout.mk
  make_pydev_project.py
  svn_checkout.mk
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== core/rosbuild/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosbuild)
find_package(catkin REQUIRED)
catkin_package()

if(CMAKE_HOST_UNIX)
  catkin_add_env_hooks(10.rosbuild SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
else()
  catkin_add_env_hooks(10.rosbuild SHELLS bat DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)
endif()

# do not wildcard install files since the root folder of the package will contain a debian folder for releasing
install(FILES
  core/rosbuild/FindPkgConfig.cmake
  core/rosbuild/private.cmake
  core/rosbuild/ProcessorCount.cmake
  core/rosbuild/public.cmake
  core/rosbuild/rosbuild.cmake
  core/rosbuild/rosconfig.cmake
  core/rosbuild/rostoolchain.cmake
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/ros/core/rosbuild)
catkin_install_python(PROGRAMS
  tests/count_cores.py
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/ros/core/rosbuild/tests)
catkin_install_python(PROGRAMS
  core/rosbuild/bin/check_same_directories.py
  core/rosbuild/bin/download_checkmd5.py
  DESTINATION ${CATKIN_GLOBAL_SHARE_DESTINATION}/ros/core/rosbuild/bin)

=== tools/rosboost_cfg/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosboost_cfg)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

=== tools/rosclean/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosclean)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/rosmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosmake)
find_package(catkin REQUIRED)

catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/rosunit/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosunit)
find_package(catkin REQUIRED)
catkin_package(CFG_EXTRAS ${PROJECT_NAME}-extras.cmake)

catkin_python_setup()

catkin_install_python(PROGRAMS
  scripts/check_test_ran.py
  scripts/clean_junit_xml.py
  scripts/pycoverage_to_html.py
  scripts/summarize_results.py
  scripts/test_results_dir.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/scripts)

if(CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test)
endif()

=== tools/roscreate/test/fake-pkg/stack2/depends_stack1/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)

rosbuild_init()

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})

=== debian/changelog ===
ros-ros (1.15.10-1) unstable; urgency=medium

  * New upstream version 1.15.10
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Sat, 23 Aug 2025 15:05:10 +0200

ros-ros (1.15.8-7) unstable; urgency=medium

  * Ignore packages in /usr for unit tests (Closes: #1084357)

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Oct 2024 23:22:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,20 @@
 Section: libs
 Priority: optional
 Build-Depends:
- catkin (>= 0.8.10-1~),
  debhelper-compat (= 13),
  dh-exec,
  dh-ros,
  dh-sequence-python3,
+ catkin,
  libboost-filesystem-dev,
  libboost-program-options-dev,
  libboost-thread-dev,
  libgtest-dev,
  libpython3-all-dev,
- librospack-dev,
+ librospack-dev (>= 2.6.2-10~),
  libtinyxml2-dev,
  python3-setuptools,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros.git
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export ROS_SKIP_PACKAGES = ros
+export ROSPACK_NO_IMPLICIT_USR = 1
 
 %:
 	dh $@ --buildsystem=ros
